Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.typedef
Enum CSIDatatypeCodes

    java.lang.Object
      java.lang.Enum<CSIDatatypeCodes>
          it.csi.mddtools.typedef.CSIDatatypeCodes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CSIDatatypeCodes>, org.eclipse.emf.common.util.Enumerator

    public enum CSIDatatypeCodes

extends java.lang.Enum<CSIDatatypeCodes>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'CSI Datatype Codes', and utility methods for working with them. [[ TODO - add documentation here ]]

See Also:
  `TypedefPackage.getCSIDatatypeCodes()`

Enum Constant Summary
`CSI_BOOLEAN` The 'CSI Boolean' literal object
`CSI_BYTE` The 'CSI Byte' literal object
`CSI_DATE` The 'CSI Date' literal object
`CSI_DOUBLE` The 'CSI Double' literal object
`CSI_FLOAT` The 'CSI Float' literal object
`CSI_INTEGER` The 'CSI Integer' literal object
`CSI_LONG` The 'CSI Long' literal object
`CSI_STRING` The 'CSI String' literal object

Field Summary
`static int` | `CSI_BOOLEAN_VALUE` The 'CSI Boolean' literal value
`static int` | `CSI_BYTE_VALUE` The 'CSI Byte' literal value
`static int` | `CSI_DATE_VALUE` The 'CSI Date' literal value
`static int` | `CSI_DOUBLE_VALUE` The 'CSI Double' literal value
`static int` | `CSI_FLOAT_VALUE` The 'CSI Float' literal value
`static int` | `CSI_INTEGER_VALUE` The 'CSI Integer' literal value
`static int` | `CSI_LONG_VALUE` The 'CSI Long' literal value
`static int` | `CSI_STRING_VALUE` The 'CSI String' literal value
`static java.util.List<CSIDatatypeCodes>` | `VALUES` A public read-only list of all the 'CSI Datatype Codes' enumerators

Method Summary
`static CSIDatatypeCodes` | `get(int value)` Returns the 'CSI Datatype Codes' literal with the specified integer value
`static CSIDatatypeCodes` | `get(java.lang.String literal)` Returns the 'CSI Datatype Codes' literal with the specified literal value
`static CSIDatatypeCodes` | `getByName(java.lang.String name)` Returns the 'CSI Datatype Codes' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static CSIDatatypeCodes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CSIDatatypeCodes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CSI_INTEGER

    public static final CSIDatatypeCodes CSI_INTEGER

  The 'CSI Integer' literal object.

  See Also:
    `CSI_INTEGER_VALUE`

### CSI_STRING

    public static final CSIDatatypeCodes CSI_STRING

  The 'CSI String' literal object.

  See Also:
    `CSI_STRING_VALUE`

### CSI_FLOAT

    public static final CSIDatatypeCodes CSI_FLOAT

  The 'CSI Float' literal object.

  See Also:
    `CSI_FLOAT_VALUE`

### CSI_DOUBLE

    public static final CSIDatatypeCodes CSI_DOUBLE

  The 'CSI Double' literal object.

  See Also:
    `CSI_DOUBLE_VALUE`

### CSI_BOOLEAN

    public static final CSIDatatypeCodes CSI_BOOLEAN

  The 'CSI Boolean' literal object.

  See Also:
    `CSI_BOOLEAN_VALUE`

### CSI_DATE

    public static final CSIDatatypeCodes CSI_DATE

  The 'CSI Date' literal object.

  See Also:
    `CSI_DATE_VALUE`

### CSI_BYTE

    public static final CSIDatatypeCodes CSI_BYTE

  The 'CSI Byte' literal object.

  See Also:
    `CSI_BYTE_VALUE`

### CSI_LONG

    public static final CSIDatatypeCodes CSI_LONG

  The 'CSI Long' literal object.

  See Also:
    `CSI_LONG_VALUE`

Field Detail

### CSI_INTEGER_VALUE

    public static final int CSI_INTEGER_VALUE

  The 'CSI Integer' literal value.

  If the meaning of 'CSI Integer' literal object isn't clear, there really should be more of a description here...

  mappato su int o java.lang.Integer (se nillable==true)

  See Also:
    `CSI_INTEGER`, Constant Field Values

### CSI_STRING_VALUE

    public static final int CSI_STRING_VALUE

  The 'CSI String' literal value.

  If the meaning of 'CSI String' literal object isn't clear, there really should be more of a description here...

  mappato su java.lang.String

  See Also:
    `CSI_STRING`, Constant Field Values

### CSI_FLOAT_VALUE

    public static final int CSI_FLOAT_VALUE

  The 'CSI Float' literal value.

  If the meaning of 'CSI Float' literal object isn't clear, there really should be more of a description here...

  mappato su float o java.lang.Float (se nillable==true)

  See Also:
    `CSI_FLOAT`, Constant Field Values

### CSI_DOUBLE_VALUE

    public static final int CSI_DOUBLE_VALUE

  The 'CSI Double' literal value.

  If the meaning of 'CSI Double' literal object isn't clear, there really should be more of a description here...

  mappato su double o java.lang.Double (se nillable==true)

  See Also:
    `CSI_DOUBLE`, Constant Field Values

### CSI_BOOLEAN_VALUE

    public static final int CSI_BOOLEAN_VALUE

  The 'CSI Boolean' literal value.

  If the meaning of 'CSI Boolean' literal object isn't clear, there really should be more of a description here...

  mappato su boolean o java.lang.Boolean (se nillable==true)

  See Also:
    `CSI_BOOLEAN`, Constant Field Values

### CSI_DATE_VALUE

    public static final int CSI_DATE_VALUE

  The 'CSI Date' literal value.

  If the meaning of 'CSI Date' literal object isn't clear, there really should be more of a description here...

  mappato su java.util.Date. Consigliato l'uso per gestire timestamp; non consigliato per gestire date prive di informazioni sull'ora. Usare stringhe formattate.

  See Also:
    `CSI_DATE`, Constant Field Values

### CSI_BYTE_VALUE

    public static final int CSI_BYTE_VALUE

  The 'CSI Byte' literal value.

  If the meaning of 'CSI Byte' literal object isn't clear, there really should be more of a description here...

  mappato su byte o java.lang.Byte (se nillable==true). E' sconsigliata la versione nillable.

  See Also:
    `CSI_BYTE`, Constant Field Values

### CSI_LONG_VALUE

    public static final int CSI_LONG_VALUE

  The 'CSI Long' literal value.

  If the meaning of 'CSI Long' literal object isn't clear, there really should be more of a description here...

  mappato su long o java.lang.Long (se nillable==true)

  See Also:
    `CSI_LONG`, Constant Field Values

### VALUES

    public static final java.util.List<CSIDatatypeCodes> VALUES

  A public read-only list of all the 'CSI Datatype Codes' enumerators.

Method Detail

### values

    public static final CSIDatatypeCodes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CSIDatatypeCodes c : CSIDatatypeCodes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CSIDatatypeCodes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static CSIDatatypeCodes get(java.lang.String literal)

  Returns the 'CSI Datatype Codes' literal with the specified literal value.

### getByName

    public static CSIDatatypeCodes getByName(java.lang.String name)

  Returns the 'CSI Datatype Codes' literal with the specified name.

### get

    public static CSIDatatypeCodes get(int value)

  Returns the 'CSI Datatype Codes' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<CSIDatatypeCodes>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD